# Generated by Django 4.0.4 on 2022-06-08 08:05

import wagtail.blocks
import wagtail.fields
from django.db import migrations
from wagtail.blocks import StreamValue


def name_to_position(block):
    block["value"]["position"] = block["value"]["name"]
    del block["value"]["name"]
    return block


def position_to_name(block):
    block["value"]["name"] = block["value"]["position"]
    del block["value"]["position"]

    return block


def get_content(page, mapper):
    stream_data = []
    mapped = False

    for block in page.contact_people.raw_data:
        if block["type"] == "item":
            stream_data.append(mapper(block))
            mapped = True

        else:
            stream_data.append(block)

    return stream_data, mapped


def migrate(apps, mapper):
    DistrictContactPage = apps.get_model("district", "DistrictContactPage")

    for page in DistrictContactPage.objects.all():
        contact_people, mapped = get_content(page, mapper)

        if mapped:
            page.contact_people = StreamValue(
                page.contact_people, contact_people, is_lazy=True
            )
            page.save()


def forwards(apps, schema_editor):
    migrate(apps, name_to_position)


def backwards(apps, schema_editor):
    migrate(apps, position_to_name)


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0085_alter_districtcenterpage_sidebar_content_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcontactpage",
            name="contact_people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Kontakty",
            ),
        ),
        migrations.RunPython(forwards, backwards),
    ]
