# Generated by Django 5.0.4 on 2024-05-08 11:33

import wagtail
from django.db import migrations

from shared.blocks import NewsBlock


def add_news_blocks(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        if home_page.articles_title:
            home_page.content.append(
                (
                    "news_block",
                    NewsBlock().to_python(
                        {"title": home_page.articles_title, "description": ""}
                    ),
                )
            )

            home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0133_alter_districthomepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districthomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "fullscreen_header_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "desktop_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na desktopu.",
                                        label="Obrázek na pozadí (desktop)",
                                    ),
                                ),
                                (
                                    "mobile_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Pokud není vybráno video, ukáže se na mobilu.",
                                        label="Obrázek na pozadí (mobil)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "desktop_video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na desktopech s povoleným autoplayem místo obrázku.",
                                        label="Video (desktop)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "mobile_video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Pokud je vybráno, ukáže se na mobilech s povoleným autoplayem místo obrázku.",
                                        label="Video (mobil)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "desktop_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="Desktop první řádek"
                                    ),
                                ),
                                (
                                    "desktop_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Desktop druhý řádek", required=False
                                    ),
                                ),
                                (
                                    "mobile_line_1",
                                    wagtail.blocks.TextBlock(
                                        label="První mobilní řádek"
                                    ),
                                ),
                                (
                                    "mobile_line_2",
                                    wagtail.blocks.TextBlock(
                                        label="Druhý mobilní řádek", required=False
                                    ),
                                ),
                                (
                                    "mobile_line_3",
                                    wagtail.blocks.TextBlock(
                                        label="Třetí mobilní řádek", required=False
                                    ),
                                ),
                                (
                                    "button_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Bez odkazu tlačítko nebude viditelné.",
                                        label="Odkaz tlačítka",
                                        required=False,
                                    ),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(
                                        label="Text tlačítka", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.TextBlock(label="Popis"),
                                ),
                            ],
                            template="styleguide2/includes/organisms/articles/district/articles_section.html",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Blok pod headerem",
            ),
        ),
        migrations.RunPython(add_news_blocks),
    ]
